HibernateSubTask.HibernateVersion (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.hibernate.HibernateSubTask.HibernateVersion class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.hibernate
Class HibernateSubTask.HibernateVersion

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.modules.hibernate.HibernateSubTask.HibernateVersion

Enclosing class:
  HibernateSubTask

public static class HibernateSubTask.HibernateVersion
extends org.apache.tools.ant.types.EnumeratedAttribute

Author:
  Matt Raible
created
  February 23, 2003

Field Summary
`static String` | `HIBERNATE_1_1`
`static String` | `HIBERNATE_2_0`
`static String` | `HIBERNATE_2_1`
`static String` | `HIBERNATE_3_0`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`HibernateSubTask.HibernateVersion()`

Method Summary
`String[]` | `getValues()` Gets the Values attribute of the HibernateVersion object.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HIBERNATE_1_1

    public static final String HIBERNATE_1_1

See Also:
  Constant Field Values

### HIBERNATE_2_0

    public static final String HIBERNATE_2_0

See Also:
  Constant Field Values

### HIBERNATE_2_1

    public static final String HIBERNATE_2_1

See Also:
  Constant Field Values

### HIBERNATE_3_0

    public static final String HIBERNATE_3_0

See Also:
  Constant Field Values

Constructor Detail

### HibernateSubTask.HibernateVersion

    public HibernateSubTask.HibernateVersion()

Method Detail

### getValues

    public String[] getValues()

  Gets the Values attribute of the HibernateVersion object.

  Returns:
    The Values value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD